Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface NavigableView

All Superinterfaces:
  Serializable, View

All Known Subinterfaces:
  BookView, PageView

public interface NavigableView
extends View

Field Summary
`static short` | `ALIGNMENT_LEFT`
`static short` | `ALIGNMENT_RIGHT`

Method Summary
`int` | `getAlignment()` Returns the menu tabs alignment for this navigable (page or book).
`String` | `getDefinitionLabel()`
`LocalizationResourceView` | `getLocalizationResourceView()`
`int` | `getMenuPosition()` Return the relative position of this navigable (page or book) in the menu.
`NavigableDefinition` | `getNavigableDefinition()`
`NavigableInstance` | `getNavigableInstance()`
`boolean` | `isDefaultPage()` Indicates whether this is a default navigable or not.
`boolean` | `isHidden()` I this book hidden?

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Field Detail

### ALIGNMENT_LEFT

    public static final short ALIGNMENT_LEFT

See Also:
  Constant Field Values

### ALIGNMENT_RIGHT

    public static final short ALIGNMENT_RIGHT

See Also:
  Constant Field Values

Method Detail

### getNavigableInstance

    public NavigableInstance getNavigableInstance()

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

### getDefinitionLabel

    public String getDefinitionLabel()

### isHidden

    public boolean isHidden()

  I this book hidden? The hidden flag is an indicator to the parent book's `Menu` to not display a `tab` or `menu item` for this Book/Page.

  Returns:
    true if the hidden flag is set.

### getAlignment

    public int getAlignment()

  Returns the menu tabs alignment for this navigable (page or book). The alignment is a hint to the menu skeleton to render the tab on the left or right side of the menu Since this is only a hint to the menu skeleton, if the skeleton does not support it, it will have no effect.

  Returns:
    `ALIGNMENT_LEFT` or `ALIGNMENT_RIGHT`

### getMenuPosition

    public int getMenuPosition()

  Return the relative position of this navigable (page or book) in the menu. The actual postion is determined by a combination of `alignment` and `menuPosition`. Postions do not have to be sequential (0,1,2,3) they can be (3,7,9).

  Returns:
    the bookGroup position

### isDefaultPage

    public boolean isDefaultPage()

  Indicates whether this is a default navigable or not.

  Returns:
    Returns true if this is a default navigable within a book otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved